/
/ Integer ops.
/ (Use EIS).
/

	.globl	mul_i
	.globl	div_i
	.globl	mod_i
	.globl	asl_i
	.globl	asr_i
 
/
/ asl_i(a, b);
/ int a; int b;
/ Performs a<<b;
/

asl_i:	mov	2(sp),r0
	ash	4(sp),r0
	return
 
/
/ asr_i(a, b);
/ int a; int b;
/ Performs a>>b;
/

asr_i:	mov	2(sp),r0
	neg	4(sp)
	ash	4(sp),r0
	return
 
/
/ mul_i(a, b);
/ int a; int b;
/ Performs a*b;
/

mul_i:	mov	2(sp),r1
	mul	4(sp),r1
	mov	r1,r0
	return
 
/
/ div_i(a, b);
/ int a; int b;
/ Performs a/b.
/

div_i:	mov	2(sp),r1
	sxt	r0
	div	4(sp),r0
	return
 
/
/ mod_i(a, b);
/ int a; int b;
/ Performs a%b.
/

mod_i:	mov	2(sp),r1
	sxt	r0
	div	4(sp),r0
	mov	r1,r0
	return
